#!/bin/sh

set -e

MIRROR=https://ftp-stud.hs-esslingen.de/Mirrors/ftp.kernel.org/pub/tools/crosstool/files/bin/
#MIRROR=http://ftp2.frugalware.org/mirror/ftp.kernel.org/pub/tools/crosstool/files/bin/
#MIRROR=http://mirror-ext.facebook.net/kernel.org/pub/tools/crosstool/files/bin/
#MIRROR=https://mirrors.edge.kernel.org/pub/tools/crosstool/files/bin/

VERS=${VERS:-13.2.0}
ARCHS=${ARCHS:-aarch64 arm i386 loongarch64 mips powerpc powerpc64 riscv64 s390 x86_64}

for arch in ${ARCHS[*]}; do
	file=x86_64-gcc-$VERS-nolibc-$arch-linux.tar.xz
	if [ -z "${file##*arm*}" ]; then
		file=${file/linux/linux-gnueabi};
	fi
	echo "#### $file ####"
	if [ -d gcc-$VERS-nolibc/$arch-linux/. ]; then
		echo "dir already present, not retrieving again."
	else
		curl $MIRROR/x86_64/$VERS/$file | tar Jxf -
	fi
done
